Summary: GNU autoconf - source configuration tools
Name: autoconf
Version: 2.12
Release: 3
Copyright: GPL
Group: Development/Building
Source: ftp://prep.ai.mit.edu/pub/gnu/autoconf-2.12.tar.gz
Requires: gawk m4
BuildArchitectures: noarch
BuildRoot: /var/tmp/autoconf-root
Prereq: /sbin/install-info

%changelog

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- spec file cleanups
- made a noarch package
- uses autoconf
- uses install-info

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>

- built with glibc

%description
GNU's "autoconf" is a tool for source and Makefile configuration. It
assists the programmer in creating portable and configurable packages, by
allowing the person building the package to specify various configuration
options. 

"autoconf" is not required for the end user - it is needed only to
generate the configuration scripts. 

%prep
%setup

%build
# we don't want configure to use mawk
if [ -f /usr/bin/mawk ]; then
    mv /usr/bin/mawk /usr/bin/mawk.tmp
    REPLACEMAWK=1
fi
./configure --prefix=/usr
if [ "$REPLACEMAWK" = "1" ]; then
    mv /usr/bin/mawk.tmp /usr/bin/mawk
fi
make datadir=/usr/lib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info

make prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/usr/lib install

gzip -9nf $RPM_BUILD_ROOT/usr/info/autoconf.info*
# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f $RPM_BUILD_ROOT/usr/info/standards*
cp install-sh $RPM_BUILD_ROOT/usr/lib/autoconf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/autoconf.info.gz /usr/info/dir

%preun
/sbin/install-info --del /usr/info/autoconf.info.gz /usr/info/dir

%files
/usr/info/autoconf.info*
/usr/bin/autoconf
/usr/bin/autoheader
/usr/bin/autoreconf
/usr/bin/autoscan
/usr/bin/autoupdate
/usr/bin/ifnames
/usr/lib/autoconf
